Get recurring resident charge by ID
https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the recurring resident charge
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| leases/getLeases |
487The external ID of the property from the integration vendor
| Method |
|---|
| leases/getLeases |
123456The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullThe external ID of the charge code from the integration vendor
| Method |
|---|
| leases/getLeases |
529The external ID of the financial account from the integration vendor
This field will always be null for ENTRATA
nullThe external ID of the lease from the integration vendor
| Method |
|---|
| leases/getLeases |
123The total amount of the recurring resident charge
| Method |
|---|
| leases/getLeases |
10000The raw value for amount from the PMS
| Method |
|---|
| leases/getLeases |
100.00Whether the recurring resident charge is active
This field will always be null for ENTRATA
nullDescription of the recurring resident charge
| Method |
|---|
| leases/getLeases |
Pet RentThe reference number for the recurring resident charge
This field will always be null for ENTRATA
nullThe start date associated with the recurring resident charge
| Method |
|---|
| leases/getLeases |
2023-06-15T00:00:00.000ZThe end date associated with the recurring resident charge
| Method |
|---|
| leases/getLeases |
2024-06-15T00:00:00.000ZThe raw value of the frequency of the recurring resident charge
| Method |
|---|
| leases/getLeases |
MonthlyThe frequency of the recurring resident charge
| Method |
|---|
| leases/getLeases |
Show 4 enum values
OTHERWEEKLYMONTHLYDAILYMONTHLYThe due date associated with the recurring resident charge
This field will always be null for ENTRATA
nullcustom_data object | nullrequired
The Propexo unique identifier for the financial account
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the lease
| Method |
|---|
| leases/getLeases |
clxkwuk5d000at3oz3b008unk:123456:123The Propexo unique identifier for the charge code
| Method |
|---|
| leases/getLeases |
clxkwuk5d000at3oz3b008unk:123456:529The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "487",
"x_property_id": "123456",
"x_location_id": null,
"x_charge_code_id": "529",
"x_financial_account_id": null,
"x_lease_id": "123",
"amount_in_cents": 10000,
"amount_raw": "100.00",
"is_active": null,
"description": "Pet Rent",
"reference_number": null,
"start_date": "2023-06-15T00:00:00.000Z",
"end_date": "2024-06-15T00:00:00.000Z",
"frequency_raw": "Monthly",
"frequency_normalized": "MONTHLY",
"charge_due_day": null,
"custom_data": "Unknown Type: object,null",
"financial_account_id": null,
"lease_id": "clxkwuk5d000at3oz3b008unk:123456:123",
"charge_code_id": "clxkwuk5d000at3oz3b008unk:123456:529",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}